\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../../yomcat, ../../diagrams}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 6 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}[(a)]
		\item \begin{enumerate}
			\item[$G_1^\mf{A}$] $= \{(a,a,a), (a,a,b), (a,b,a), (a,b,b), (b,a,b), (b,b,b)\}$
			\item[$G_2^\mf{A}$] $= \{(a,a,b), (a,b,a), (b,a,b), (b,b,a)\}$
			\item[$G^\mf{A}$]   $= \{(a,a,b), (a,b,a), (b,a,a), (b,a,b), (b,b,a)\}$
			\item[$F_1^\mf{A}$] $= \{(b,a)\}$
			\item[$F_2^\mf{A}$] $= \{(a,a), (a,b), (b,a), (b,b)\}$
			\end{enumerate}
		\item The only valid formula is $F_2^\mf{A}$.
		\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Assume that $((\forall x F) \lor (\forall x G)) \to (\forall x(F \lor G))$ is false. This happens iff $(\forall x F) \lor (\forall x G)$ is true and $\forall x(F \lor G)$ is false. $(\forall x F) \lor (\forall x G)$ is true iff $\forall x F$ is true or $\forall x G$ is true. WOLOG, assume that $\forall x F$ is true. Then $\forall x (F \lor G)$ must be true, but it is false by assumption. This is a contradiction, so the assumption must have been wrong. Therefore, $((\forall x F) \lor (\forall x G)) \to (\forall x(F \lor G))$ is true. \pend
		\item In the language $\mbb{N} = \langle \mbb{N}, 0, s, +, \times \rangle$ of type $\langle \phi, \{0,1,2\}, \{0\}, \phi, \binom{0\ 1\ 2}{1\ 2\ 2} \rangle$, and interpreted in the normal way, let $F(x) = \exists k (x = s(s(0)) \times k)$ ($x$ is even) and let $G(x) = \exists k (x = (s(s(0)) \times k) + s(0))$ ($x$ is odd). Then $\forall x (F \lor G)$ is true but $(\forall x F)$ and $(\forall x G)$ are false, so $\forall x (F \lor G) \to (\forall x F) \lor (\forall x G)$ is false.
		\end{enumerate}
	\item$F(x,y,z)$ is false iff $x=y$ is true and $R(f(x,y),x,z) \to R(f(y,x),x,z)$ is false. This second part if false iff $R(f(x,y),x,z)$ is true and $R(f(y,x),x,z)$ is false. As $x = y$, this means that $R(f(x,x),x,z)$ is true and $R(f(x,x),x,z)$ is false. As these are the same, and relations cannot be both true and false at the same time, $F(x,y,z)$ must always be true.
	\item \begin{align*}
	\forall y \lnot (\forall x R(x,y) \to \forall y(x = y)) &\sim \forall y \lnot (\forall w R(w,y) \to \forall z (x = z)) \tag{renaming variables} \\
	&\sim \forall y \lnot ((\lnot (\forall w R(w,y))) \lor (\forall z (x = z))) \tag{replacing $\to$} \\
	&\sim \forall y (\lnot \lnot (\forall w R(w,y)) \land \lnot (\forall z (x = z))) \tag{DeMorgan's Law} \\
	&\sim \forall y (\forall w R(w,y) \land \lnot (\forall z (x=z))) \tag{double negative} \\
	&\sim \forall y (\forall w R(w,y) \land \exists z \lnot (x=z)) \tag{pushing negative inside quantifier} \\
	&\sim \forall y \forall w \exists z (R(w,y) \land \lnot (x=z)) \tag{pulling quantifiers to the front}
	\end{align*}
	\item Let both relations be on the set $\{1,2\}$. \\
	$R_1 = \{(1,1), (2,1)\}$ \\
	$R_2 = \{(1,1), (1,2)\}$ \\
	Then $\forall x \exists y (R_1(x,y))$ and $\forall y \exists x (R_2(x,y))$ are both true. However, $\forall x \exists y ((R_1(x,y)) \land (R_2(x,y)))$ is false as when $x = 2$ there doesn't exist a $y$ such that $R_2(x,y)$ is true.
	\end{enumerate}

\end{document}